<div class="container">
  <div class="row d-flex justify-content-center align-items-center">
    <mat-card class="mt-5 col-lg-6 col-md-8 col-sm-10 col-12">
      <mat-card-header class="justify-content-center mb-4">
        <mat-card-title>Create Account</mat-card-title>
      </mat-card-header>
      <form [formGroup]="registerForm" (ngSubmit)="onSubmit()">
        <mat-card-content>
          <mat-form-field class="w-100 pb-0" appearance="outline">
            <mat-label>First name</mat-label>
            <input matInput placeholder="First name" formControlName="first_name">
          </mat-form-field>
          <mat-form-field class="w-100 pb-0" appearance="outline">
            <mat-label>Last name</mat-label>
            <input matInput placeholder="Last name" formControlName="last_name">
          </mat-form-field>
          <mat-form-field class="w-100 pb-0" appearance="outline">
            <mat-label>Email</mat-label>
            <input matInput placeholder="Email" formControlName="email">
            <mat-error *ngIf="duplicateEmail">{{duplicateEmail}}</mat-error>
          </mat-form-field>
          <!-- <p class="text-danger" *ngIf="duplicateEmail">{{duplicateEmail}}</p> -->
          <mat-form-field class="w-100" appearance="outline">
            <mat-label>Password</mat-label>
            <input type="password" matInput placeholder="********" formControlName="password">
          </mat-form-field>
        </mat-card-content>
        <mat-card-actions class="text-center">
          <button mat-raised-button color="primary">Register</button>
        </mat-card-actions>
        <p class="text-end">Already have an account? <button type="button" routerLink="/login" mat-raised-button
            color="accent">Login</button></p>
      </form>
    </mat-card>
  </div>
</div>
